import { BreakpointObserver } from '@angular/cdk/layout';
import { DateRangePickerComponent } from '../date-range-picker';
import * as i0 from "@angular/core";
export declare class DatePickerComponent extends DateRangePickerComponent {
    constructor(breakpointObserver: BreakpointObserver);
    placeholder: string;
    readonly dateChange: import("@angular/core").OutputEmitterRef<Date | null | undefined>;
    readonly range = false;
    readonly calendars = 1;
    readonly endDate: import("@angular/core").ModelSignal<null>;
    set date(value: Date | null | undefined);
    get date(): Date | null | undefined;
    writeValue(value: Date | null | undefined): void;
    subscribeDateChange(subscribe?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatePickerComponent, "c-date-picker", ["cDatePicker"], { "placeholder": { "alias": "placeholder"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; "isSignal": true; }; "date": { "alias": "date"; "required": false; }; }, { "dateChange": "dateChange"; "endDate": "endDateChange"; }, never, ["*"], true, never>;
}
